#include <stdlib.h>
#include <stdio.h>

int read(char buffer[]){
	return scanf("%s", buffer);
}

char sostituzione(char in, int k);

void cifra_stringa(char input[], char output[], int k){
	int i=0;
	while(input[i]!='\0'){
		output[i]=sostituzione(input[i], k);
		i++;
	}
	output[i]='\0';
}


char sostituzione(char in, int k){
	if (in>='a' && in<='z')
		return ((in-'a')+k)%26 + 'a';
	if (in>='A' && in<='Z')
		return ((in-'A')+k)%26 + 'a';
	else return in;
}


int main(int argc, char **argv){
	int key,i;
	int len=0;
	char risultato[128];
	char buffer[128];
	if (argc<2) return 1;
	key=atol(argv[1]);
	while (len>=0) {
		len=read(buffer);
		if (len>=0) {
			cifra_stringa(buffer,risultato,key);
			printf("%s ", risultato);
		}
	}
	printf("\n");
}
